﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MultiColumnTreeViewAdvSample
{
    public class ComplexObject: NotificationObject
    {
        private string _name = String.Empty;
        private string _description = String.Empty;
        private bool _isValid = false;
        private ObservableCollection<ComplexObject> _children = new ObservableCollection<ComplexObject>();
        
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                this.RaisePropertyChanged("Name");
            }
        }

        public string Description
        {
            get { return _description; }
            set
            {
                _description = value;
                this.RaisePropertyChanged("Description");
            }
        }

        public bool IsValid
        {
            get { return _isValid; }
            set
            {
                _isValid = value;
                this.RaisePropertyChanged("IsValid");
            }
        }

        public ObservableCollection<ComplexObject> Children
        {
            get { return _children; }
            set
            {
                _children = value;
                this.RaisePropertyChanged("Children");
            }
        }
    }
}
